﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace DataStruct
{
    /// <summary>
    /// 硬盘信息Model
    /// </summary>
    [DataContract]
    public class DiskModel
    {
        /// <summary>
        /// LBA(逻辑区块地址)今日写入量
        /// </summary>
        [DataMember]
        public int LBA_TodayWrite { get; set; }
        /// <summary>
        /// LBA(逻辑区块地址)写入量总计
        /// </summary>
        [DataMember]
        public int LBA_Write { get; set; }
        /// <summary>
        /// LBA(逻辑区块地址)读取量总计
        /// </summary>
        [DataMember]
        public int LBA_Read { get; set; }
        /// <summary>
        /// PE次数
        /// </summary>
        [DataMember]
        public int PE { get; set; }
    }
}
