﻿using DataStruct;
using MyDiskInfo.DataStruct;
using MyDiskInfo.Service;
using MyDiskInfoService.Utils;
using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.ServiceModel.Description;
using System.Text;
using System.Threading.Tasks;

namespace WCFServer
{
    /// <summary>
    /// 服务实现
    /// </summary>
    [ServiceBehavior()]
    public class ClientServer : IClientServer
    {
        /// <summary>
        /// 获取硬盘信息
        /// </summary>
        public DiskModel GetDiskInfo()
        {
            return DiskInfoUtil.GetInfo();
        }

        /// <summary>
        /// 获取CPU信息
        /// </summary>
        public CpuModel GetCpuInfo()
        {
            return CpuInfoUtil.GetInfo();
        }
    }
}
