﻿using DataStruct;
using MyDiskInfo.DataStruct;
using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;

namespace WCFServer
{
    /// <summary>
    /// 服务接口
    /// </summary>
    [ServiceContract]
    public interface IClientServer
    {
        /// <summary>
        /// 获取硬盘信息
        /// </summary>
        [OperationContract]
        DiskModel GetDiskInfo();

        /// <summary>
        /// 获取CPU信息
        /// </summary>
        [OperationContract]
        CpuModel GetCpuInfo();
    }
}
