﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace MyDiskInfo.DataStruct
{
    /// <summary>
    /// CPU信息
    /// </summary>
    [DataContract]
    public class CpuModel
    {
        /// <summary>
        /// CPU使用率
        /// </summary>
        [DataMember]
        public double Load { get; set; }

        /// <summary>
        /// CPU频率
        /// </summary>
        [DataMember]
        public double Clock { get; set; }

        /// <summary>
        /// CPU温度
        /// </summary>
        [DataMember]
        public double Temperature { get; set; }
    }
}
